///////////////////////////////////////////////////////////////////////////////
/// @file deNetData.cpp
///
/// @brief 
///
/// @author trajar
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Jun 2002
/// @author trajar
/// @remarks Creation
///
///////////////////////////////////////////////////////////////////////////////

#include "deNetData.hpp"
#include <WINDOWS.H>

#ifdef	_DEBUG
 #include	<crtdbg.h> 
 #define new new(_NORMAL_BLOCK,__FILE__, __LINE__)
#endif

bool deNetDataItem::ApplyFrom( const deNetDataItem * pItem )
{
	if( pItem->GetGroup()->GetGroupID() == this->m_Group->GetGroupID() &&
		pItem->GetDataID() == this->GetDataID() )
	{
		memcpy( m_RawData, pItem->m_RawData, m_DataSize );
		return true;
	}
	else
		return false;
}

bool deNetDataItem::StreamFrom( const deNetDataItem * pItem )
{
	if( pItem->GetGroup()->GetGroupID() == this->m_Group->GetGroupID() &&
		pItem->GetDataID() == this->GetDataID() )
	{
		memcpy( m_RawData, pItem->m_RawData, m_DataSize );
		return true;
	}
	else
		return false;
}
